Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoSymbolFileMethodEntry

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoSymbolFileMethodEntry,MonoSymbolFileMethodEntry.ByValue,MonoSymbolFileMethodEntry.ByReference>
              com.nativelibs4java.mono.MonoSymbolFileMethodEntry

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoSymbolFileMethodEntry,MonoSymbolFileMethodEntry.ByValue,MonoSymbolFileMethodEntry.ByReference>>

Direct Known Subclasses:
  MonoSymbolFileMethodEntry.ByReference, MonoSymbolFileMethodEntry.ByValue

    public class MonoSymbolFileMethodEntry

extends Structure<MonoSymbolFileMethodEntry,MonoSymbolFileMethodEntry.ByValue,MonoSymbolFileMethodEntry.ByReference>

native declaration : mono\metadata\debug-mono-symfile.h:49
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoSymbolFileMethodEntry.ByReference`
`static class` | `MonoSymbolFileMethodEntry.ByValue`

Field Summary
`int` | `_data_offset`
`int` | `_line_number_table`
`int` | `_token`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoSymbolFileMethodEntry()`
`MonoSymbolFileMethodEntry(int _token, int _data_offset, int _line_number_table)`

Method Summary
`protected MonoSymbolFileMethodEntry.ByReference` | `newByReference()`
`protected MonoSymbolFileMethodEntry.ByValue` | `newByValue()`
`protected MonoSymbolFileMethodEntry` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### _token

    public int _token

### _data_offset

    public int _data_offset

### _line_number_table

    public int _line_number_table

Constructor Detail

### MonoSymbolFileMethodEntry

    public MonoSymbolFileMethodEntry()

### MonoSymbolFileMethodEntry

    public MonoSymbolFileMethodEntry(int _token,
                                     int _data_offset,
                                     int _line_number_table)

Method Detail

### newByReference

    protected MonoSymbolFileMethodEntry.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoSymbolFileMethodEntry,MonoSymbolFileMethodEntry.ByValue,MonoSymbolFileMethodEntry.ByReference>`

### newByValue

    protected MonoSymbolFileMethodEntry.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoSymbolFileMethodEntry,MonoSymbolFileMethodEntry.ByValue,MonoSymbolFileMethodEntry.ByReference>`

### newInstance

    protected MonoSymbolFileMethodEntry newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoSymbolFileMethodEntry,MonoSymbolFileMethodEntry.ByValue,MonoSymbolFileMethodEntry.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD